<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/eventos_alerta.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
 
$eventos_alerta = new Eventos_Alerta($db);
$data = json_decode(file_get_contents("php://input"));

if(!isEmpty($data->alerta_id)
&&!isEmpty($data->tipo_evento)
&&!isEmpty($data->descripcion_evento)
&&!isEmpty($data->fecha_evento)){
	
    
if(!isEmpty($data->alerta_id)) { 
$eventos_alerta->alerta_id = $data->alerta_id;
} else { 
$eventos_alerta->alerta_id = '';
}
if(!isEmpty($data->tipo_evento)) { 
$eventos_alerta->tipo_evento = $data->tipo_evento;
} else { 
$eventos_alerta->tipo_evento = '';
}
if(!isEmpty($data->descripcion_evento)) { 
$eventos_alerta->descripcion_evento = $data->descripcion_evento;
} else { 
$eventos_alerta->descripcion_evento = '';
}
if(!isEmpty($data->fecha_evento)) { 
$eventos_alerta->fecha_evento = $data->fecha_evento;
} else { 
$eventos_alerta->fecha_evento = 'current_timestamp()';
}
 	$lastInsertedId=$eventos_alerta->create();
    if($lastInsertedId!=0){
        http_response_code(201);
        echo json_encode(array("status" => "success", "code" => 1,"message"=> "Created Successfully","document"=> $lastInsertedId));
    }
    else{
        http_response_code(503);
		echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create eventos_alerta","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to create eventos_alerta. Data is incomplete.","document"=> ""));
}
?>
